Ben
Burton
bab@debian.org
April 8, 2003
pruneemptydirs
1

# `pruneemptydirs`

Detects stale source directories in a CVS tree

    pruneemptydirs
    -f

## Description

`pruneemptydirs` is used to clean up a local CVS tree. It detects directories containing remnants of old stuff which has been removed from the CVS. Such stale directories often break compilation. The current directory and all directories beneath it will be examined.

Note that this tool does not remove anything; it simply prints what to do as a series of remove commands. You can copy and paste these commands, or use them with eval in a script.

This tool works better if the source directory is not the same as the build directory, since it will not print directories containing old executables.

This utility is part of the KDE Software Development Kit.

## Options

`-f`

  Actually perform the deletions instead of just printing them out. Use this option with care.

## Authors

`pruneemptydirs` was written by &David.Faure; &David.Faure.mail;

This manual page was prepared by Ben Burton bab@debian.org